*** src/bin/psql/describe.c.orig	2004-03-09 21:43:23.000000000 -0300
--- src/bin/psql/describe.c	2004-03-09 21:43:38.000000000 -0300
***************
*** 351,361 ****
  	printfPQExpBuffer(&buf,
  					  "SELECT n.nspname as \"%s\",\n"
  					  "  c.relname as \"%s\",\n"
  					  "  c.relacl as \"%s\"\n"
  					  "FROM pg_catalog.pg_class c\n"
  	"     LEFT JOIN pg_catalog.pg_namespace n ON n.oid = c.relnamespace\n"
  					  "WHERE c.relkind IN ('r', 'v', 'S')\n",
! 					  _("Schema"), _("Table"), _("Access privileges"));
  
  	/*
  	 * Unless a schema pattern is specified, we suppress system and temp
--- 351,362 ----
  	printfPQExpBuffer(&buf,
  					  "SELECT n.nspname as \"%s\",\n"
  					  "  c.relname as \"%s\",\n"
+ 					  "  CASE c.relkind WHEN 'r' THEN '%s' WHEN 'v' THEN '%s' WHEN 'S' THEN '%s' END as \"%s\",\n" 
  					  "  c.relacl as \"%s\"\n"
  					  "FROM pg_catalog.pg_class c\n"
  	"     LEFT JOIN pg_catalog.pg_namespace n ON n.oid = c.relnamespace\n"
  					  "WHERE c.relkind IN ('r', 'v', 'S')\n",
! 					  _("Schema"), _("Name"), _("table"), _("view"), _("sequence"), _("Type"), _("Access privileges"));
  
  	/*
  	 * Unless a schema pattern is specified, we suppress system and temp
